import Vue from 'vue';

async function getAudioContentSeriesGenreList() {
    return Vue.axios.get('/admin/audio-content/series/genre');
}

async function createAudioContentSeriesGenre(genre, is_adult) {
    return Vue.axios.post('/admin/audio-content/series/genre', {genre: genre, isAdult: is_adult})
}

async function updateAudioContentSeriesGenre(request) {
    return Vue.axios.put('/admin/audio-content/series/genre', request)
}

async function updateAudioContentSeriesGenreOrders(ids) {
    return Vue.axios.put('/admin/audio-content/series/genre/orders', {ids: ids})
}

export {
    getAudioContentSeriesGenreList,
    createAudioContentSeriesGenre,
    updateAudioContentSeriesGenre,
    updateAudioContentSeriesGenreOrders
}
